<mat-progress-bar mode="indeterminate" *ngIf="isLoading"></mat-progress-bar>
<table mat-table [dataSource]="contactList" matSort>

    <ng-container matColumnDef="contactName">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>{{'contacts.contactName'|translate}}</th>
        <td mat-cell *matCellDef="let contact">
            {{ contact.contactName}}
        </td>
    </ng-container>

    <ng-container matColumnDef="phoneNumber">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>{{'contacts.phoneNumber'|translate}}</th>
        <td mat-cell *matCellDef="let contact">{{ contact.phoneNumber | roPhone}}</td>
    </ng-container>

    <ng-container matColumnDef="lists">
        <th mat-header-cell *matHeaderCellDef>{{'contacts.lists'|translate}}</th>
        <td mat-cell *matCellDef="let contact">{{ contact.lists.length }}</td>
    </ng-container>

    <ng-container matColumnDef="Actions">
        <th mat-header-cell *matHeaderCellDef>
            <mat-checkbox (change)="onSelectAll($event)" [indeterminate]="someSelected()" [checked]="allSelected">
                {{'contacts.selectAll'|translate}}
            </mat-checkbox>
        </th>
        <td mat-cell *matCellDef="let contact">
            <mat-checkbox [value]="contact" (change)="onChange($event);" [checked]="hasContact(contact)"></mat-checkbox>
        </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="activeColumns; sticky:true"></tr>
    <tr mat-row *matRowDef="let row; columns: activeColumns;"></tr>

    <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">Cannot find any value matching your search term</td>
    </tr>
</table>
<mat-paginator [pageSizeOptions]="[5,10,25,100]" [pageSize]="10" [class]="isSelection ? '' : 'sticky-bottom'">
</mat-paginator>